---
title: "Update Wallet"
source_url: https://docs.rapyd.net/en/update-wallet.html
lang: en
---

# Update Wallet

Change or modify a Rapyd Wallet.

> **Note:**
>
> - This endpoint replaces the deprecated endpoint: `put /v1/user`
>
>   Rapyd no longer supports the deprecated endpoint.
> - The code samples include successful requests (200) and bad requests (400).
>
>   - For error messages that appear due to bad requests (400), see:
>
>     - [General Errors](https://docs.rapyd.net/en/general-errors.md "General Errors")
>     - [Wallet Errors](https://docs.rapyd.net/en/wallet-errors.md "Wallet Errors")
>     - [Wallet Contact Errors](https://docs.rapyd.net/en/wallet-contact-errors.md "Wallet Contact Errors")
>   - For information about unauthorized request (401) and other authentication errors, see [Troubleshooting Authentication and Authorization Errors](https://docs.rapyd.net/en/troubleshooting-authentication-and-authorization-errors.md "Troubleshooting Authentication and Authorization Errors").

### Parameters

### Request Path Parameters

- - ewallet
  - ID of the Rapyd Wallet. String starting with **ewallet_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Request Body Parameters

- - cnls_partner_query_reference
  - Payment Facilitator (PayFac) only. Value of the `partner_query_reference` parameter used as the query request ID in the Card Network Lookup Service (CNLS). See [Retrieve Query Results](https://docs.rapyd.net/en/retrieve-query-results.md "Retrieve Query Results").
- - ewallet_reference_id
  - Rapyd Wallet ID defined by the customer or end user. Must be unique.
- - first_name
  - First name of the Rapyd Wallet owner. For a **person** wallet type, alphabetic characters and spaces.
- - last_name
  - Family name of the Rapyd Wallet owner. For a **person** wallet type, alphabetic characters and spaces.
- - metadata
  - A JSON object defined by the client. See [Metadata](https://docs.rapyd.net/en/metadata.md "Metadata").
- - parent_ewallet
  - ID of a **company** wallet assigned as the parent wallet of a **person** wallet. String starting with **ewallet_**. Maximum - one parent wallet.

### Response Parameters

- - accounts
  - An array of objects with the following fields:

    - - alias
      - Alternate text description of the currency.
    - - balance
      - Available funds in the account.
    - - currency
      - Three-letter ISO 4217 code for the currency used in the `balance` field.
    - - id
      - ID of the account. UUID.
    - - limit
      - Reserved.
    - - limits
      - Reserved.
    - - on_hold_balance
      - Amount in the on-hold balance of the account.
    - - received_balance
      - Amount of escrow funds in the account.
    - - reserve_balance
      - Amount in the reserve balance of the account.
- - category
  - Indicates the type of client wallet. One of the following:

    - **collect**
    - **disburse**
    - **card_authorization**
    - **general**
- - cnls_partner_query_reference
  - Value of the `partner_query_reference` parameter used as the query request ID in the Card Network Lookup Service (CNLS). See [Retrieve Query Results](https://docs.rapyd.net/en/retrieve-query-results.md "Retrieve Query Results"). Relevant to Payment Facilitator (PayFac).
- - contacts
  - Contains the following fields:

    - - data
      - An array of 'contact' objects. For details about the fields of the 'contact' object, see [Add Contact to Wallet](https://docs.rapyd.net/en/add-contact-to-wallet.md "Add Contact to Wallet").
    - - has_more
      - Indicates whether there are more contacts than appear in the `data` array.
    - - total_count
      - The total number of contacts in the wallet.
    - - url
      - URL to retrieve all contacts in the wallet. Use HTTP get.
- - email
  - Email address of the wallet owner. Deprecated. The email address belongs to the contact.
- - ewallet_reference_id
  - Wallet ID defined by the customer or end user.
- - first_name
  - First name of the wallet owner.
- - id
  - Unique identifier of the wallet object. String starting with **ewallet_**.
- - last_name
  - Family name of the wallet owner.
- - metadata
  - A JSON object defined by the client. See [Metadata](https://docs.rapyd.net/en/metadata.md "Metadata").
- - parent_ewallet
  - ID of the parent wallet. String starting with **ewallet_**.
- - phone_number
  - Phone number of the wallet owner in E.164 format. Deprecated. The phone number belongs to the contact.
- - status
  - Status of the wallet. One of the following:

    - **ACT** - Enabled and active.
    - **CLO** - Permanently closed.
    - **DIS** - Disabled.
    - **DEL** - Deleted.
- - type
  - Type of wallet. One of the following:

    - **company** - A business wallet.
    - **person** - The wallet of an individual consumer.
    - **client** - A wallet for the Rapyd client. To create additional wallets of this type, contact [Client Support](https://support.rapyd.net).
- - verification_status
  - Result of the verification check. One of the following:

    - **not verified** - The contact has not been submitted for the **Know Your Customer** checks.
    - **KYCd** - The user has passed the **Know Your Customer** checks.

- - .NET

    - ```csharp
      using System;
      using System.Text.Json;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {
                      var metadata = new
                      {
                          merchant_defined = "updated"
                      };

                      var requestObj = new
                      {
                          ewallet = "ewallet_72b4ff39ca50dccc73c0ee65d85e124e",
                          ewallet_reference_id = "4-star-pro-02212021",
                          metadata,
                      };

                      string request = JsonSerializer.Serialize(requestObj);

                      string result = RapydApiRequestSample.Utilities.MakeRequest("PUT", "/v1/user", request);

                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                      Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      const makeRequest = require('<path-to-your-utility-file>/utilities').makeRequest;

      async function main() {
        try {
          const body = {
            ewallet: 'ewallet_72b4ff39ca50dccc73c0ee65d85e124e',
            ewallet_reference_id: '4-star-pro-02212021',
            metadata: {
              merchant_defined: 'updated'
            }
          };
          const result = await makeRequest('PUT', '/v1/user', body);

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php
      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/<path-to-your-utility-file>/utilities.php";
      include($path);
      $body = [
          'ewallet' => 'ewallet_72b4ff39ca50dccc73c0ee65d85e124e',
          'ewallet_reference_id' => '4-star-pro-02212021',
          'metadata' => [
              'merchant_defined' => "updated"
          ]
        ];

      try {
          $object = make_request('put', '/v1/user', $body);
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      body = {
          "ewallet": "ewallet_72b4ff39ca50dccc73c0ee65d85e124e",
          "ewallet_reference_id": "4-star-pro-02212021",
          "metadata": {
              "merchant_defined": "updated"
          }
      }

      results = make_request(method='put', path='/v1/user', body=body)
      pprint(results)
      ```

- /v1/ewallets/:ewallet

- Update cnls_partner_query_reference - PayFac
- ```curl
  curl -X post
  'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_b5320c566cc4aa01fe77440ad08693f7' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
      "cnls_partner_query_reference": "abcd123"
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "f9a3368f-3dbf-49c6-a81a-a17f5150612c"
      },
      "data": {
          "phone_number": null,
          "email": "john.doe.162417@example.com",
          "first_name": "John",
          "last_name": "Doe",
          "id": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
          "status": "ACT",
          "accounts": [
              {
                  "id": "ff97f975-5e85-4df0-8f01-9b1b051d3e39",
                  "currency": "PLN",
                  "alias": "PLN",
                  "balance": 10000,
                  "received_balance": 0,
                  "on_hold_balance": 0,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              },
              {
                  "id": "4a659c50-3f2d-487a-b062-30459e00c437",
                  "currency": "EUR",
                  "alias": "EUR",
                  "balance": 9798,
                  "received_balance": 0,
                  "on_hold_balance": 0,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              }
          ],
          "verification_status": "not verified",
          "type": "company",
          "metadata": {
              "merchant_defined": true
          },
          "ewallet_reference_id": "erd-2025-08-10a",
          "category": null,
          "contacts": {
              "data": [
                  {
                      "id": "cont_18c0d881a3d0d2e9e54d4664c6b0022d",
                      "first_name": "John",
                      "last_name": "Doe",
                      "middle_name": "",
                      "second_last_name": "",
                      "gender": "not_applicable",
                      "marital_status": "not_applicable",
                      "house_type": "",
                      "contact_type": "business",
                      "phone_number": "+14155551234",
                      "email": "john.doe.162417@example.com",
                      "identification_type": "",
                      "identification_number": "",
                      "issued_card_data": {
                          "preferred_name": "",
                          "transaction_permissions": "",
                          "role_in_company": ""
                      },
                      "date_of_birth": null,
                      "country": "US",
                      "nationality": null,
                      "address": null,
                      "ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
                      "created_at": 1753881858,
                      "metadata": {},
                      "business_details": {
                          "id": "busi_aba4330005786f053d25c46168d21fc4",
                          "name": "",
                          "registration_number": "",
                          "entity_type": "n/a",
                          "industry_category": "n/a",
                          "industry_sub_category": "n/a",
                          "address": {
                              "id": "address_3c15646a8e2011f884c92eb416f52a02",
                              "name": "John Doe",
                              "line_1": "789 Main Street",
                              "line_2": "Apt 4E",
                              "line_3": "",
                              "city": "Anytown",
                              "state": "",
                              "country": "US",
                              "zip": "54321",
                              "phone_number": "+14155555555",
                              "metadata": {},
                              "canton": "",
                              "district": "",
                              "created_at": 1755781052
                          },
                          "created_at": 1753881858,
                          "annual_revenue": 0,
                          "establishment_date": null,
                          "legal_entity_type": null,
                          "cnae_code": null,
                          "statement_descriptor": null,
                          "mcc": null,
                          "website_url": null,
                          "customer_service_phone_number": null
                      },
                      "compliance_profile": 0,
                      "verification_status": "not verified",
                      "send_notifications": false,
                      "mothers_name": "",
                      "contact_reference_id": null
                  },
                  {
                      "id": "cont_6b37bac42846c7046bdb9e24b89a5d05",
                      "first_name": "Jane",
                      "last_name": "Doe",
                      "middle_name": "",
                      "second_last_name": "",
                      "gender": "not_applicable",
                      "marital_status": "not_applicable",
                      "house_type": "",
                      "contact_type": "personal",
                      "phone_number": "",
                      "email": "",
                      "identification_type": "PA",
                      "identification_number": "1233242424",
                      "issued_card_data": {
                          "preferred_name": "",
                          "transaction_permissions": "",
                          "role_in_company": ""
                      },
                      "date_of_birth": null,
                      "country": "US",
                      "nationality": null,
                      "address": {
                          "id": "address_2c98c788eafe3a5a6b7541431e0ced5e",
                          "name": "Jane Doe",
                          "line_1": "123 Lake Forest Drive",
                          "line_2": "",
                          "line_3": "",
                          "city": "Anytown",
                          "state": "NY",
                          "country": "",
                          "zip": "12345",
                          "phone_number": "+14155551234",
                          "metadata": {
                              "merchant_defined": true
                          },
                          "canton": "",
                          "district": "",
                          "created_at": 1754572956
                      },
                      "ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
                      "created_at": 1754572956,
                      "metadata": {},
                      "business_details": null,
                      "compliance_profile": 0,
                      "verification_status": "not verified",
                      "send_notifications": false,
                      "mothers_name": "",
                      "contact_reference_id": null
                  },
                  {
                      "id": "cont_1efdd747f4495c054be799227448ef6b",
                      "first_name": "Jane",
                      "last_name": "Doe",
                      "middle_name": "",
                      "second_last_name": "",
                      "gender": "not_applicable",
                      "marital_status": "not_applicable",
                      "house_type": "",
                      "contact_type": "personal",
                      "phone_number": "",
                      "email": "",
                      "identification_type": "PA",
                      "identification_number": "1233242424",
                      "issued_card_data": {
                          "preferred_name": "",
                          "transaction_permissions": "",
                          "role_in_company": ""
                      },
                      "date_of_birth": null,
                      "country": "US",
                      "nationality": null,
                      "address": {
                          "id": "address_2827aa908f199b14067f2311180bdde9",
                          "name": "Jane Doe",
                          "line_1": "123 Lake Forest Drive",
                          "line_2": "",
                          "line_3": "",
                          "city": "Anytown",
                          "state": "NY",
                          "country": "",
                          "zip": "12345",
                          "phone_number": "+14155551234",
                          "metadata": {},
                          "canton": "",
                          "district": "",
                          "created_at": 1757241207
                      },
                      "ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
                      "created_at": 1757241207,
                      "metadata": {},
                      "business_details": null,
                      "compliance_profile": 0,
                      "verification_status": "not verified",
                      "send_notifications": false,
                      "mothers_name": "",
                      "contact_reference_id": null
                  }
              ],
              "has_more": true,
              "total_count": 6,
              "url": "/v1/ewallets/ewallet_b5320c566cc4aa01fe77440ad08693f7/contacts"
          },
          "parent_ewallet": null,
          "cnls_partner_query_reference": null
      }
  }
  ```

- Update Wallet - Reference ID
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_df9de1b6310514f9c11a3f52dddd9ca4' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
      "ewallet_reference_id": "2025-09-10a"
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "3de8882a-a6bf-47ed-92ba-0e8f5d4eb5a5"
      },
      "data": {
          "phone_number": "+17560705621",
          "email": null,
          "first_name": "Fred",
          "last_name": "Cooks",
          "id": "ewallet_df9de1b6310514f9c11a3f52dddd9ca4",
          "status": "DIS",
          "accounts": [
              {
                  "id": "4da1dfcd-2cce-11eb-9403-124eb1b705c1",
                  "currency": "EUR",
                  "alias": "EUR",
                  "balance": 10,
                  "received_balance": 0,
                  "on_hold_balance": 0,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              }
          ],
          "verification_status": "not verified",
          "type": "person",
          "metadata": {},
          "ewallet_reference_id": null,
          "category": null,
          "contacts": {
              "data": [
                  {
                      "id": "cont_e21a199b8cfe5ac7c9b220fa9d4039bf",
                      "first_name": "Fred",
                      "last_name": "Cooks",
                      "middle_name": "",
                      "second_last_name": "",
                      "gender": "not_applicable",
                      "marital_status": "not_applicable",
                      "house_type": "",
                      "contact_type": "personal",
                      "phone_number": "+17560705621",
                      "email": "",
                      "identification_type": "",
                      "identification_number": "",
                      "issued_card_data": {
                          "preferred_name": "",
                          "transaction_permissions": "",
                          "role_in_company": ""
                      },
                      "date_of_birth": null,
                      "country": "",
                      "nationality": null,
                      "address": null,
                      "ewallet": "ewallet_df9de1b6310514f9c11a3f52dddd9ca4",
                      "created_at": 1606055013,
                      "metadata": {},
                      "business_details": null,
                      "compliance_profile": 0,
                      "verification_status": "not verified",
                      "send_notifications": false,
                      "mothers_name": "",
                      "contact_reference_id": null
                  }
              ],
              "has_more": false,
              "total_count": 1,
              "url": "/v1/ewallets/ewallet_df9de1b6310514f9c11a3f52dddd9ca4/contacts"
          },
          "parent_ewallet": null,
          "cnls_partner_query_reference": null
      }
  }
  ```

- Update Wallet - Associated Parent Wallet
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_31fb2dbbaf6519461ee4fbe1062220d3' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
      "parent_ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7"
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "ce016636-74f4-4c19-b3e8-83080b19aa4b"
      },
      "data": {
          "phone_number": null,
          "email": "jane.smith.162417@example.com",
          "first_name": "Jane",
          "last_name": "Smith",
          "id": "ewallet_31fb2dbbaf6519461ee4fbe1062220d3",
          "status": "ACT",
          "accounts": [
              {
                  "id": "49b2c1db-dd26-444f-8667-5508ae901de5",
                  "currency": "EUR",
                  "alias": "EUR",
                  "balance": 101,
                  "received_balance": 0,
                  "on_hold_balance": 0,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              },
              {
                  "id": "d722c12f-e88f-47b8-a2a1-96606b0ee997",
                  "currency": "HKD",
                  "alias": "HKD",
                  "balance": 130356.1,
                  "received_balance": 0,
                  "on_hold_balance": 0,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              }
          ],
          "verification_status": "not verified",
          "type": "person",
          "metadata": {
              "merchant_defined": true
          },
          "ewallet_reference_id": "erd-2025-08-10b",
          "category": null,
          "contacts": {
              "data": [
                  {
                      "id": "cont_cfcecbbaf6bd086f7077a70f53b8e259",
                      "first_name": "Jane",
                      "last_name": "Smith",
                      "middle_name": "",
                      "second_last_name": "",
                      "gender": "not_applicable",
                      "marital_status": "not_applicable",
                      "house_type": "",
                      "contact_type": "personal",
                      "phone_number": "+14155551235",
                      "email": "jane.smith.162417@example.com",
                      "identification_type": "",
                      "identification_number": "",
                      "issued_card_data": {
                          "preferred_name": "",
                          "transaction_permissions": "",
                          "role_in_company": ""
                      },
                      "date_of_birth": null,
                      "country": "US",
                      "nationality": null,
                      "address": null,
                      "ewallet": "ewallet_31fb2dbbaf6519461ee4fbe1062220d3",
                      "created_at": 1753881859,
                      "metadata": {},
                      "business_details": null,
                      "compliance_profile": 0,
                      "verification_status": "not verified",
                      "send_notifications": false,
                      "mothers_name": "",
                      "contact_reference_id": null
                  }
              ],
              "has_more": false,
              "total_count": 1,
              "url": "/v1/ewallets/ewallet_31fb2dbbaf6519461ee4fbe1062220d3/contacts"
          },
          "parent_ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
          "cnls_partner_query_reference": null
      }
  }
  ```

- Update Wallet - Metadata
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_b5320c566cc4aa01fe77440ad08693f7' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
      "email": "johndoe@rapyd.net",
      "metadata": {
          "merchant_defined": "updated"
      }
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "b3c23ad7-4923-4634-b977-286ce7adc904"
      },
      "data": {
          "phone_number": null,
          "email": "johndoe@rapyd.net",
          "first_name": "John",
          "last_name": "Doe",
          "id": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
          "status": "ACT",
          "accounts": [
              {
                  "id": "ff97f975-5e85-4df0-8f01-9b1b051d3e39",
                  "currency": "PLN",
                  "alias": "PLN",
                  "balance": 10000,
                  "received_balance": 0,
                  "on_hold_balance": 0,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              },
              {
                  "id": "4a659c50-3f2d-487a-b062-30459e00c437",
                  "currency": "EUR",
                  "alias": "EUR",
                  "balance": 9808,
                  "received_balance": 0,
                  "on_hold_balance": 0,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              },
              {
                  "id": "8dc23d06-198d-4673-85af-2675f0af4518",
                  "currency": "USD",
                  "alias": "USD",
                  "balance": 200,
                  "received_balance": 0,
                  "on_hold_balance": 0,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              },
              {
                  "id": "29c1889a-572c-4200-b669-6c0144a9e758",
                  "currency": "GBP",
                  "alias": "GBP",
                  "balance": 800,
                  "received_balance": 0,
                  "on_hold_balance": 0,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              }
          ],
          "verification_status": "not verified",
          "type": "company",
          "metadata": {
              "merchant_defined": "updated"
          },
          "ewallet_reference_id": "2025-09-10a",
          "category": null,
          "contacts": {
              "data": [
                  {
                      "id": "cont_18c0d881a3d0d2e9e54d4664c6b0022d",
                      "first_name": "John",
                      "last_name": "Doe",
                      "middle_name": "",
                      "second_last_name": "",
                      "gender": "not_applicable",
                      "marital_status": "not_applicable",
                      "house_type": "",
                      "contact_type": "business",
                      "phone_number": "+14155551234",
                      "email": "john.doe.162417@example.com",
                      "identification_type": "",
                      "identification_number": "",
                      "issued_card_data": {
                          "preferred_name": "",
                          "transaction_permissions": "",
                          "role_in_company": ""
                      },
                      "date_of_birth": null,
                      "country": "US",
                      "nationality": null,
                      "address": null,
                      "ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
                      "created_at": 1753881858,
                      "metadata": {},
                      "business_details": {
                          "id": "busi_aba4330005786f053d25c46168d21fc4",
                          "name": "",
                          "registration_number": "",
                          "entity_type": "n/a",
                          "industry_category": "n/a",
                          "industry_sub_category": "n/a",
                          "address": {
                              "id": "address_3c15646a8e2011f884c92eb416f52a02",
                              "name": "John Doe",
                              "line_1": "789 Second Street",
                              "line_2": "Apt 4E",
                              "line_3": "",
                              "city": "Anytown",
                              "state": "",
                              "country": "US",
                              "zip": "54321",
                              "phone_number": "+14155555555",
                              "metadata": {},
                              "canton": "",
                              "district": "",
                              "created_at": 1755781052
                          },
                          "created_at": 1753881858,
                          "annual_revenue": 0,
                          "establishment_date": null,
                          "legal_entity_type": null,
                          "cnae_code": null,
                          "statement_descriptor": null,
                          "mcc": null,
                          "website_url": null,
                          "customer_service_phone_number": null
                      },
                      "authorized_user_details": {
                          "first_name": "Jane",
                          "last_name": "Doe",
                          "date_of_birth": "2000-11-22",
                          "country": "US"
                      },
                      "compliance_profile": 0,
                      "verification_status": "not verified",
                      "send_notifications": false,
                      "mothers_name": "",
                      "contact_reference_id": null
                  },
                  {
                      "id": "cont_6b37bac42846c7046bdb9e24b89a5d05",
                      "first_name": "Jane",
                      "last_name": "Doe",
                      "middle_name": "",
                      "second_last_name": "",
                      "gender": "not_applicable",
                      "marital_status": "not_applicable",
                      "house_type": "",
                      "contact_type": "personal",
                      "phone_number": "+14155551997",
                      "email": "",
                      "identification_type": "PA",
                      "identification_number": "1233242424",
                      "issued_card_data": {
                          "preferred_name": "",
                          "transaction_permissions": "",
                          "role_in_company": ""
                      },
                      "date_of_birth": null,
                      "country": "US",
                      "nationality": null,
                      "address": {
                          "id": "address_2c98c788eafe3a5a6b7541431e0ced5e",
                          "name": "Jane Doe",
                          "line_1": "123 Lake Forest Drive",
                          "line_2": "",
                          "line_3": "",
                          "city": "Anytown",
                          "state": "NY",
                          "country": "",
                          "zip": "12345",
                          "phone_number": "+14155551234",
                          "metadata": {
                              "merchant_defined": true
                          },
                          "canton": "",
                          "district": "",
                          "created_at": 1754572956
                      },
                      "ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
                      "created_at": 1754572956,
                      "metadata": {
                          "merchant_defined": "updated"
                      },
                      "business_details": null,
                      "compliance_profile": 0,
                      "verification_status": "not verified",
                      "send_notifications": false,
                      "mothers_name": "",
                      "contact_reference_id": "johndoe2025-11-03a"
                  },
                  {
                      "id": "cont_1efdd747f4495c054be799227448ef6b",
                      "first_name": "Jane",
                      "last_name": "Doe",
                      "middle_name": "",
                      "second_last_name": "",
                      "gender": "not_applicable",
                      "marital_status": "not_applicable",
                      "house_type": "",
                      "contact_type": "personal",
                      "phone_number": "",
                      "email": "",
                      "identification_type": "PA",
                      "identification_number": "1233242424",
                      "issued_card_data": {
                          "preferred_name": "",
                          "transaction_permissions": "",
                          "role_in_company": ""
                      },
                      "date_of_birth": null,
                      "country": "US",
                      "nationality": null,
                      "address": {
                          "id": "address_2827aa908f199b14067f2311180bdde9",
                          "name": "Jane Doe",
                          "line_1": "123 Lake Forest Drive",
                          "line_2": "",
                          "line_3": "",
                          "city": "Anytown",
                          "state": "NY",
                          "country": "",
                          "zip": "12345",
                          "phone_number": "+14155551234",
                          "metadata": {},
                          "canton": "",
                          "district": "",
                          "created_at": 1757241207
                      },
                      "ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
                      "created_at": 1757241207,
                      "metadata": {},
                      "business_details": null,
                      "compliance_profile": 0,
                      "verification_status": "not verified",
                      "send_notifications": false,
                      "mothers_name": "",
                      "contact_reference_id": null
                  }
              ],
              "has_more": true,
              "total_count": 9,
              "url": "/v1/ewallets/ewallet_b5320c566cc4aa01fe77440ad08693f7/contacts"
          },
          "parent_ewallet": null,
          "cnls_partner_query_reference": null
      }
  }
  ```

- Update Wallet - First & Last Name
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_b5320c566cc4aa01fe77440ad08693f7' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
      "last_name": "Doe",
      "first_name": "John"
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "bbe2280e-61ae-4f1e-9768-d10168389179"
      },
      "data": {
          "phone_number": null,
          "email": "johndoe@rapyd.net",
          "first_name": "John",
          "last_name": "Doe",
          "id": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
          "status": "DIS",
          "accounts": [
              {
                  "id": "ff97f975-5e85-4df0-8f01-9b1b051d3e39",
                  "currency": "PLN",
                  "alias": "PLN",
                  "balance": 10000,
                  "received_balance": 0,
                  "on_hold_balance": 0,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              },
              {
                  "id": "4a659c50-3f2d-487a-b062-30459e00c437",
                  "currency": "EUR",
                  "alias": "EUR",
                  "balance": 9808,
                  "received_balance": 0,
                  "on_hold_balance": 0,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              },
              {
                  "id": "8dc23d06-198d-4673-85af-2675f0af4518",
                  "currency": "USD",
                  "alias": "USD",
                  "balance": 200,
                  "received_balance": 0,
                  "on_hold_balance": 0,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              },
              {
                  "id": "29c1889a-572c-4200-b669-6c0144a9e758",
                  "currency": "GBP",
                  "alias": "GBP",
                  "balance": 800,
                  "received_balance": 0,
                  "on_hold_balance": 0,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              }
          ],
          "verification_status": "not verified",
          "type": "company",
          "metadata": {
              "merchant_defined": "updated"
          },
          "ewallet_reference_id": "2025-09-10a",
          "category": null,
          "contacts": null,
          "parent_ewallet": null,
          "cnls_partner_query_reference": null
      }
  }
  ```

- Bad Request - Invalid Wallet ID
- ```curl
  curl -X post
  'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_123456789' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
      "metadata": {
          "merchant_defined": "updated data"
      }
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "ERROR_GET_USER",
          "status": "ERROR",
          "message": "The request attempted an operation that requires a wallet, but the wallet was not found. The request was rejected. Corrective action: Use the ID of a valid wallet that has not been deleted. The ID is a string starting with 'ewallet_'.",
          "response_code": "ERROR_GET_USER",
          "operation_id": "7eeda170-73f7-4121-910b-1d45bf7104dd"
      }
  }
  ```

- Bad Request - Reference ID Exists
- ```curl
  curl -X post
  'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_b5320c566cc4aa01fe77440ad08693f7' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
      "ewallet_reference_id": "2025-09-10a"
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "ERROR_UPDATE_USER_EWALLET_REFERENCE_ID_ALREADY_EXISTS",
          "status": "ERROR",
          "message": "The request tried to update a wallet, but the reference ID was already in use. The request was rejected. Corrective action: For 'ewallet_reference_id', enter a unique string.",
          "response_code": "ERROR_UPDATE_USER_EWALLET_REFERENCE_ID_ALREADY_EXISTS",
          "operation_id": "87227022-0413-4ffa-8aa9-0f4c05b573b1"
      }
  }
  ```
